/*
  Este eh um modelo que descreve a implementacao dos jogadores. Ao
  contrario do que ocorreu com as implementacoes em lisp e prolog, os
  jogadores em java podem ser implementados com a utilizacao de mais
  de um arquivo, que devem ser compactados no formato ".zip" antes de
  serem enviados ao campeonato.

  Este modelo eh composto de quatro arquivos:

     - EmptyPlayer.java
     - EmptyPosition.java
     - EmptyMove.java
     - EmptyBoard.java

  Recomenda-se que voce leia todos os arquivos antes de comecar a
  implementacao
 */

import unicamp.ic.mc336.definitions.PlayerInterface;
import unicamp.ic.mc336.definitions.MoveInterface;
import unicamp.ic.mc336.definitions.BoardInterface;

/*
 Este eh o modelo para implementacao da classe EmptyPlayer, a classe
 responsavel por interagir diretamente com o campeonato. Neste modelo
 voce encontra a assinatura dos 3 metodos requeridos pela interface
 PlayerInterface: start, lastPlay, myPlay. Observe que este arquivo
 traz apenas definicoes validas, sendo portanto compilavel, mas nao
 implementa um jogador que realize jogadas validas.

 Eh importante salientar que as chamadas feitas ao jogador devem ser
 retornadas em, no maximo, 1 segundo. Extrapolar este tempo resulta em
 desclassificacao do jogador no campeonato. Outro ponto importante eh
 que, em nenhum momento, o aluno deve utilizar funcoes que escrevam na
 saida padrao como, por exemplo, System.out.println, pois isso fara o
 gerenciador invalidar a jogada.

 Em campeonatos anteriores, tivemos problemas com alguns arquivos
 contendo acentuacao ou cedilhas. Dessa forma, por precaucao, NAO
 UTILIZE ACENTOS OU CEDILHAS EM SEUS COMENTARIOS.

 Recomenda-se fortemente que voce nao envie ao campeonato jogadores
 contendo "warnings", pois eh possivel que o campeonato trate o
 "warning" como se fosse uma resposta gerada pelo seu jogador,
 fazendo com que ele seja eliminado do campeonato.

 Por favor, preencha os campos solicitados abaixo (sem acentos):

 Nome:
 RA:
*/


/*
  Para que a sua classe "Player" seja reconhecida pelo campeonato, ela
  deve satisfazer a tres restricoes:

  1 - A classe deve implementar a interface PlayerInterface

  2 - A classe deve ser publica

  3 - O nome do arquivo da classe DEVE utilizar o formato raXXXXXX
  (onde XXXXXX eh o seu RA). Lembre-se de renomear o arquivo onde esta
  a classe para raXXXXXX.java

  A criacao de uma classe que implemente "PlayerInterface" eh
  obrigatoria para o bom funcionamento do seu jogador no campeonato.
 */

public class EmptyPlayer implements PlayerInterface {
    /*
      Insira aqui os atributos da classe
     */


    /*
      Este metodo eh chamada apenas uma vez pelo gerenciador. Eh a
      primeira chamada feita ao jogador no inicio de cada partida.  Eh
      atraves desta chamada que o jogador toma conhecimento sobre o
      tabuleiro que iniciara a partida. 
      
      Analise a interface BoardInterface para obter mais informacoes
      sobre o tabuleiro.
    */
    public void start(BoardInterface board){
	/*
	  Insira seu codigo aqui
	 */
    }


    /*
      Este metodo eh utilizado pelo gerenciador para informar a
      ultima jogada do oponente.
      
      Analise a interface MoveInterface para obter mais informacoes
      sobre o formato das jogadas.
    */
    public void lastPlay(MoveInterface move){
	/*
	  Insira seu codigo aqui
	*/
    }



    /*
      Este metodo eh utilizado para voce enviar a sua jogada ao
      gerenciador.

      Analise a interface MoveInterface para obter mais informacoes
      sobre o formato das jogadas.
     */
    public MoveInterface myPlay(){
	/*
	  Insira seu codigo aqui
	*/
	return null;
    }
}
